<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="e6411bc1-eb99-4a1e-b004-85dbd1409115" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="1lixkntpkhBkoMNp4LkVM7GCjkF" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="project.structure.last.edited" value="Artifacts" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RebelAgentSelection">
    <selection>jr</selection>
  </component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="mvn clean install -Dmagen.test.skip=true" />
      <command value="mvn clean install -Dmaven.test.skip=true" />
      <command value="mvn clean install -Dmaven.test.skip=true  -Dmaven.javadoc.skip=true" />
    </option>
  </component>
  <component name="RunManager" selected="Application.ShardingJDBCDemo">
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="WIDTH" value="400" />
      <option name="HEIGHT" value="300" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <module />
      <method />
    </configuration>
    <configuration name="ShardingJDBCDemo" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.roy.demo.ShardingJDBCDemo" />
      <module name="sharding-jdbc-test" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.roy.demo.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SQLCasesLoaderTest.assertGetSQLForLiteralWithParameters" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="sharding-sql-test" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="org.apache.shardingsphere.test.sql.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="org.apache.shardingsphere.test.sql" />
      <option name="MAIN_CLASS_NAME" value="org.apache.shardingsphere.test.sql.SQLCasesLoaderTest" />
      <option name="METHOD_NAME" value="assertGetSQLForLiteralWithParameters" />
      <option name="TEST_OBJECT" value="method" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG">
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file enabled="true" id="idea.log" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.ShardingJDBCDemo" />
        <item itemvalue="JUnit.SQLCasesLoaderTest.assertGetSQLForLiteralWithParameters" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="e6411bc1-eb99-4a1e-b004-85dbd1409115" name="Default Changelist" comment="" />
      <created>1608093858351</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1608093858351</updated>
      <workItem from="1608093868332" duration="13207000" />
      <workItem from="1608120542898" duration="10081000" />
      <workItem from="1608173522268" duration="897000" />
      <workItem from="1608182341784" duration="6928000" />
      <workItem from="1608270472380" duration="639000" />
      <workItem from="1608531261148" duration="1334000" />
      <workItem from="1608795037142" duration="618000" />
      <workItem from="1608799477101" duration="14000" />
      <workItem from="1609226543844" duration="1594000" />
      <workItem from="1609917291471" duration="5623000" />
      <workItem from="1609988776418" duration="11424000" />
      <workItem from="1610081088223" duration="12388000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="2" />
  </component>
  <component name="WindowStateProjectService">
    <state x="249" y="0" key="#Project_Structure" timestamp="1608103104549">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="249" y="0" key="#Project_Structure/0.0.1536.824@0.0.1536.824" timestamp="1608103104549" />
    <state x="525" y="198" key="#TODO" timestamp="1610112629428">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="525" y="198" key="#TODO/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1610112629428" />
    <state x="525" y="198" key="#TODO/0.0.1536.824@0.0.1536.824" timestamp="1608110958659" />
    <state x="574" y="116" key="#com.intellij.ide.util.MemberChooser" timestamp="1608104502339">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="574" y="116" key="#com.intellij.ide.util.MemberChooser/0.0.1536.824@0.0.1536.824" timestamp="1608104502339" />
    <state width="466" height="466" key="DebuggerActiveHint" timestamp="1608124797869">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="466" height="466" key="DebuggerActiveHint/0.0.1536.824@0.0.1536.824" timestamp="1608124797869" />
    <state x="562" y="167" key="FileChooserDialogImpl" timestamp="1608184785335">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="562" y="167" key="FileChooserDialogImpl/0.0.1536.824@0.0.1536.824" timestamp="1608184785335" />
    <state width="1493" height="319" key="GridCell.Tab.0.bottom" timestamp="1610112609184">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="319" key="GridCell.Tab.0.bottom/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1610112609184" />
    <state width="1493" height="213" key="GridCell.Tab.0.bottom/0.0.1536.824@0.0.1536.824" timestamp="1608125742203" />
    <state width="1493" height="319" key="GridCell.Tab.0.center" timestamp="1610112609184">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="319" key="GridCell.Tab.0.center/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1610112609184" />
    <state width="1493" height="213" key="GridCell.Tab.0.center/0.0.1536.824@0.0.1536.824" timestamp="1608125742201" />
    <state width="1493" height="319" key="GridCell.Tab.0.left" timestamp="1610112609183">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="319" key="GridCell.Tab.0.left/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1610112609183" />
    <state width="1493" height="213" key="GridCell.Tab.0.left/0.0.1536.824@0.0.1536.824" timestamp="1608125742201" />
    <state width="1493" height="319" key="GridCell.Tab.0.right" timestamp="1610112609184">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="319" key="GridCell.Tab.0.right/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1610112609184" />
    <state width="1493" height="213" key="GridCell.Tab.0.right/0.0.1536.824@0.0.1536.824" timestamp="1608125742201" />
    <state width="1493" height="213" key="GridCell.Tab.1.bottom" timestamp="1608136274614">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="213" key="GridCell.Tab.1.bottom/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1608136274614" />
    <state width="1493" height="213" key="GridCell.Tab.1.bottom/0.0.1536.824@0.0.1536.824" timestamp="1608125741578" />
    <state width="1493" height="213" key="GridCell.Tab.1.center" timestamp="1608136274614">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="213" key="GridCell.Tab.1.center/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1608136274614" />
    <state width="1493" height="213" key="GridCell.Tab.1.center/0.0.1536.824@0.0.1536.824" timestamp="1608125741578" />
    <state width="1493" height="213" key="GridCell.Tab.1.left" timestamp="1608136274614">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="213" key="GridCell.Tab.1.left/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1608136274614" />
    <state width="1493" height="213" key="GridCell.Tab.1.left/0.0.1536.824@0.0.1536.824" timestamp="1608125741578" />
    <state width="1493" height="213" key="GridCell.Tab.1.right" timestamp="1608136274614">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1493" height="213" key="GridCell.Tab.1.right/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1608136274614" />
    <state width="1493" height="213" key="GridCell.Tab.1.right/0.0.1536.824@0.0.1536.824" timestamp="1608125741578" />
    <state x="262" y="0" key="SettingsEditor" timestamp="1608270502506">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="262" y="0" key="SettingsEditor/0.0.1536.824@0.0.1536.824" timestamp="1608270502506" />
    <state width="504" height="497" key="SwitcherDM" timestamp="1610114459977">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="504" height="497" key="SwitcherDM/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1610114459977" />
    <state width="504" height="497" key="SwitcherDM/0.0.1536.824@0.0.1536.824" timestamp="1608188399049" />
    <state x="467" y="145" width="1044" height="534" key="find.popup" timestamp="1609922981789">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="467" y="145" width="1044" height="534" key="find.popup/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1609922981789" />
    <state x="467" y="145" width="1044" height="534" key="find.popup/0.0.1536.824@0.0.1536.824" timestamp="1608100109790" />
    <state x="608" y="172" width="672" height="372" key="run.anything.popup" timestamp="1610007699834">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="608" y="172" width="672" height="372" key="run.anything.popup/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1610007699834" />
    <state x="608" y="172" width="670" height="372" key="run.anything.popup/0.0.1536.824@0.0.1536.824" timestamp="1608098885548" />
    <state x="431" y="145" width="672" height="678" key="search.everywhere.popup" timestamp="1610112901122">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="431" y="145" width="672" height="678" key="search.everywhere.popup/0.0.1536.824/1920.0.1920.1040@0.0.1536.824" timestamp="1610112901122" />
    <state x="431" y="145" width="672" height="678" key="search.everywhere.popup/0.0.1536.824@0.0.1536.824" timestamp="1610083629401" />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/shardingsphere$ShardingJDBCDemo.ic" NAME="ShardingJDBCDemo Coverage Results" MODIFIED="1608125424268" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>com.roy.demo.*</FILTER>
    </SUITE>
  </component>
</project>